Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.SOAPAuthenticateInfo Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| SOAPAuthenticateInfo ()
| Constructor.
| SOAPAuthenticateInfo (string username, string password, bool is_use_platform_auth)
| Constructor, with parameters. More...
| SOAPAuthenticateInfo (SOAPAuthenticateInfo soap_authenticate)
| Constructor, with another SOAP authenticate object. More...
void | Set (string username, string password, bool is_use_platform_auth)
| Set values. More...

## Properties
bool | is_use_platform_auth`[get, set]`
| A Boolean value indicating that platform authentication should be used. More...
string | password`[get, set]`
| A string containing the password to use for authentication.
string | username`[get, set]`
| A string containing the user name to use for authentication.

## Detailed Description

This class represents SOAP authenticate.

## Constructor & Destructor Documentation

## ◆ SOAPAuthenticateInfo() [1/2]

foxit.pdf.actions.SOAPAuthenticateInfo.SOAPAuthenticateInfo | ( | string | username,
|  | string | password,
|  | bool | is_use_platform_auth
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

## ◆ SOAPAuthenticateInfo() [2/2]

foxit.pdf.actions.SOAPAuthenticateInfo.SOAPAuthenticateInfo | ( | SOAPAuthenticateInfo | soap_authenticate | ) |
| inline

Constructor, with another SOAP authenticate object.

Parameters

  [in] | soap_authenticate | Another SOAP authenticate object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.SOAPAuthenticateInfo.Set | ( | string | username,
|  | string | password,
|  | bool | is_use_platform_auth
| ) |  |
| inline

Set values.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

Returns
  None.

## Property Documentation

## ◆ is_use_platform_auth

bool foxit.pdf.actions.SOAPAuthenticateInfo.is_use_platform_auth
| get set

A Boolean value indicating that platform authentication should be used.

If true, username and password are ignored and the underlying platform networking code is used.This may cause an authentication UI to be shown to the user and/or the credentials of the currently logged in user to be used. The default is false and is only supported on the Windows platform.